Subject: Re: [PATCH 5/7] dsa: marvell: Add helper function to validate the max_frame_size variable

From: Lukasz Majewski <[email-masked]>
Date: Thu, 9 Mar 2023 14:47:52 +0100

Hi Russell,

> On Thu, Mar 09, 2023 at 01:21:13PM +0000, Russell King (Oracle) wrote:
> > On Thu, Mar 09, 2023 at 01:54:19PM +0100, Lukasz Majewski wrote:  
> > > This commit shall be regarded as a transition one, as this
> > > function helps to validate the correctness of max_frame_size
> > > variable added to mv88e6xxx_info structure.
> > > 
> > > It is necessary to avoid regressions as manual assessment of this
> > > value turned out to be error prone.
> > > 
> > > Signed-off-by: Lukasz Majewski <[email-masked]>
> > > Suggested-by: Russell King (Oracle) <[email-masked]>  
> > 
> > Shouldn't this be patch 2 - immediately after populating the
> > .max_frame_size members, and before adding any additional devices?  
> 
> Moreover, shouldn't the patch order be:
> 
> 1, 5, 6 (fixing the entry that needs it), 7 (which then gets the
> max frame size support in place), 4 (so that .set_max_frame_size for
> 6250 is in place), 2, 3
> 
> ?
> 
> In other words, get the new infrastructure you need in place first
> (that being the new .max_frame_size and the .set_max_frame_size
> function) before then adding the new support.
> 

Ok, I will reorder those patches and submit v6.

Do you have any other comments regarding this patch set?

Best regards,

Lukasz Majewski

--

DENX Software Engineering GmbH,      Managing Director: Erika Unter
HRB 165235 Munich, Office: Kirchenstr.5, D-82194 Groebenzell, Germany
Phone: (+49)-8142-66989-59 Fax: (+49)-8142-66989-80 Email: [email-masked]